ChartDirector Ver 5.0 (PHP Edition)

BaseChart.setAntiAlias

Usage

setAntiAlias([ shapeAntiAlias [, textAntiAlias ]])

Description

Controls whether anti-alias is used when drawing lines, shapes and text.
For anti-aliasing text, ChartDirector supports the following modes.

Constant | Value | Description
--- | --- | ---
NoAntiAlias | 0 | Disable anti-alias when drawing text
AntiAlias | 1 | Always use anti-alias when drawing text

AutoAntiAlias

2

Automatically determine if anti-alias should be used for the text. This is the default.
Currently, ChartDirector will anti-alias only large or bold fonts. For small fonts, assuming it is of high quality, anti-alias is unnecessary. It is because high quality fonts are normally designed to be sharp and clear at low resolution. Anti-aliasing will blur the fonts and make them look worse.
However, for complicated fonts (e.g. some fonts with oriental characters), or for lower quality fonts (e.g. some freeware fonts), anti-alias may be necessary. In this case, it may be needed to force anti-aliasing of all fonts using AntiAlias mode.

Arguments

Argument | Default | Description
--- | --- | ---
shapeAntiAlias | true (non-zero) | A true (non-zero) value enables anti-alias when drawing lines and shapes. A false (zero) value disables anti-alias when drawing lines and shapes
textAntiAlias | AutoAntiAlias | The text anti-alias mode, which must be one of AutoAntiAlias, AntiAlias or NoAntiAlias.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.